package mi.hdm.components;

import javafx.scene.Cursor;
import javafx.scene.control.Label;
import mi.hdm.recipes.RecipeComponent;

public class IngredientSearchResultLabel extends Label {
    private final static String BASE_STYLE = "-fx-padding: 4px;";

    public IngredientSearchResultLabel(RecipeComponent component) {
        super(component.getName());
        setStyle(BASE_STYLE);
        setCursor(Cursor.HAND);
        setOnMouseEntered(e -> setStyle(BASE_STYLE + "-fx-background-color: #DEDEDE"));
        setOnMouseExited(e -> setStyle(BASE_STYLE));
    }
}
